# Secure Hash

A secure hash is used to authenticate access to a public URL.  For example when a storage object visibility is set to 'secure' the URL will require a valid hash parameter.  The hash parameter rotates every hour and is only valid for a few hours.

To generate a secure hash you will need to generate a MD5 checksum in the following format:

md5(apikey+yyyymmddhh+string)

Replace apikey with the secret api key generated in your dashboard.

Replace yyyymmddhh with the current date and time 2023061820 - This would be for June 18th 2023 at 8pm UTC.

Replace string with the value to be hash.  For storage objects this would be the name. &#x20;


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.sitebot.com/api/secure-hash.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
